import { NumberArray } from 'cheminfo-types';
/**
 * This method will slice the array from the fromIndex to the toIndex and add the first and last element of the original array
 * if needed
 * It will also add one extra point at the beginning or the end if the fromIndex or toIndex is not the first or the last point of the array
 *
 * @param array
 * @param options
 * @returns
 */
export declare function sliceArrayForDomain<T extends string[] | NumberArray>(array: T, options: {
    fromIndex: number;
    toIndex: number;
}): T;
export declare function useMatrix(): {
    x: Float64Array | never[];
    matrixY: Float64Array[];
} | null;
interface InterpolateColorsPointsOptions {
    x: Float64Array | number[];
    y: number[];
    color: string[];
}
export declare function groupPointsByColor(data: InterpolateColorsPointsOptions): Record<string, {
    x: number;
    y: number;
    endPath: boolean;
}[]>;
export {};
