import { MatrixGenerationOptions, PanelsPreferences } from 'nmr-load-save';
import { DeepPartial } from '../../../data/types/common/DeepPartial';
declare const getSpectraDefaultValues: (nucleus?: string) => PanelsPreferences['spectra'];
declare const getIntegralDefaultValues: (nucleus?: string) => PanelsPreferences['integrals'];
declare const getZoneDefaultValues: (nucleus?: string) => PanelsPreferences['zones'];
declare const getRangeDefaultValues: (nucleus?: string) => PanelsPreferences['ranges'];
declare const getPeaksDefaultValues: (nucleus?: string) => PanelsPreferences['peaks'];
declare const databaseDefaultValues: PanelsPreferences['database'];
declare const getMultipleSpectraAnalysisDefaultValues: (nucleus?: string) => PanelsPreferences['multipleSpectraAnalysis'];
declare function getMatrixGenerationDefaultOptions(): DeepPartial<MatrixGenerationOptions>;
declare const getMatrixGenerationDefaultValues: (nucleus?: string) => PanelsPreferences['matrixGeneration'];
export { getSpectraDefaultValues, getPeaksDefaultValues, getIntegralDefaultValues, getRangeDefaultValues, getZoneDefaultValues, databaseDefaultValues, getMultipleSpectraAnalysisDefaultValues, getMatrixGenerationDefaultOptions, getMatrixGenerationDefaultValues, };
